
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Webharvest网络爬虫应用总结 / iVAN</title>

    <meta name="description" content="Webharvest网络爬虫应用总结 Web-Harvest是一个Java开源Web数据抽取工具.它能够收集指定的Web页面并从这些页面中提取有用的数据.其实现原理是,根据预先定义的配置文件用httpclient获取页面的全部内容(关于httpclient的内容,本博有些文章已介绍),然后运用XPath.XQuery.正则表达式等这些技术来实现对text/xml的内容筛选操作,选取精确的数据.前两年比较火的垂直搜索(比如:酷讯等)也是采用类似的原理实现的.Web-Harvest应用,关键就是理解和定义配置文件,其他的就是考虑怎么处理">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Webharvest网络爬虫应用总结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Web-Harvest是一个Java开源Web数据抽取工具。它能够收集指定的Web页面并从这些页面中提取有用的数据。其实现原理是，根据预先定义的配置文件用httpclient获取页面的全部内容（关于httpclient的内容，本博有些文章已介绍），然后运用XPath、XQuery、正则表达式等这些技术来实现对text/xml的内容筛选操作，选取精确的数据。前两年比较火的垂直搜索（比如：酷讯等）也是采用类似的原理实现的。Web-Harvest应用，关键就是理解和定义配置文件，其他的就是考虑怎么处理数据的Java代码。当然在爬虫开始前，也可以把Java变量填充到配置文件中，实现动态的配置。</p>
<p>现在以爬取天涯论坛的所有版面信息为例，介绍Web-Harvest的用法，特别是其配置文件。</p>
<p>天涯的版块地图页面时：http://www.tianya.cn/bbs/index.shtml</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDk1NDRXMkMtMC5wbmc=.jpg">开发</a>实训总结"&gt;</p>
<p>[天涯的部分版面列表]</p>
<p>我们的目标就是要抓取全部的版块信息，包括版块之间的父子关系。</p>
<p>先查看版块地图的页面源代码，寻求规律：</p>
<p><code>&lt;div　class="backrgoundcolor"&gt;<br />
&lt;div　class="bankuai_list"&gt;<br />
　　　　　　　 &lt;h3&gt;社会民生&lt;/h3&gt;<br />
　　　　　　　 &lt;ul&gt;<br />
　　　　　　　　　　　　　　 &lt;li&gt;&lt;a　href="http://www.tianya.cn/publicforum/articleslist/0/free.shtml"　id="item天涯杂谈"&gt;天涯杂谈&lt;/a&gt;&lt;/li&gt;<br />
　　　　　　　　　　　　　　 &lt;li&gt;&lt;a　href="http://www.tianya.cn/publicforum/articleslist/0/worldlook.shtml"　id="item国际观察"&gt;国际观察&lt;/a&gt;&lt;/li&gt;<br />
　　　　　　　　　　　　　　 &lt;li&gt;&lt;a　href="http://www.tianya.cn/publicforum/articleslist/0/news.shtml"　id="item天涯时空"&gt;天涯时空&lt;/a&gt;&lt;/li&gt;<br />
　　　　　　　　　　　　　　 &lt;li&gt;&lt;a　href="http://www.tianya.cn/publicforum/articleslist/0/no06.shtml"　id="item传媒江湖"&gt;传媒江湖&lt;/a&gt;&lt;/li&gt;<br />
　　　　　　　　　　　　　　 ……　//省略<br />
&lt;/ul&gt;<br />
&lt;/div&gt;<br />
&lt;div　class="clear"&gt;&lt;/div&gt;<br />
&lt;/div&gt;<br />
&lt;div　class="nobackrgoundcolor"&gt;<br />
&lt;div　class="bankuai_list"&gt;<br />
　　　　　　　 &lt;h3&gt;文学读书&lt;/h3&gt;<br />
　　　　　　　　　　　　　　 &lt;ul&gt;<br />
　　　　　　　　　　　　　　　　　　　　　 &lt;li&gt;&lt;a　href="http://www.tianya.cn/techforum/articleslist/0/16.shtml"　id="item莲蓬鬼话"&gt;莲蓬鬼话&lt;/a&gt;&lt;/li&gt;<br />
　　　　　　　　　　　　　　　　　　　　　 &lt;li&gt;&lt;a　href="http://www.tianya.cn/publicforum/articleslist/0/no05.shtml"　id="item煮酒论史"&gt;煮酒论史&lt;/a&gt;&lt;/li&gt;<br />
　　　　　　　　　　　　　　　　　　　　　 &lt;li&gt;&lt;a　href="http://www.tianya.cn/publicforum/articleslist/0/culture.shtml"　id="item舞文弄墨"&gt;舞文弄墨&lt;/a&gt;&lt;/li&gt;<br />
　　　　　　　　　　　　　　　　　　　　　 …….//省略<br />
　　　　　　　　　　　　　　 &lt;/ul&gt;<br />
&lt;/div&gt;<br />
&lt;div　class="clear"&gt;&lt;/div&gt;<br />
&lt;/div&gt;<br />
…….//省略</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 03:09:30</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2/" title="页面">页面</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ae%b9/" title="内容">内容</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e7%88%ac%e8%99%ab/" title="爬虫">爬虫</a>, <a href="https://www.iamivan.net/tag/webmagic-%e7%88%ac%e8%99%ab/" title="webmagic 爬虫">webmagic 爬虫</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e6%ba%90%e7%88%ac%e8%99%ab/" title="开源爬虫">开源爬虫</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e7%bb%9c%e7%88%ac%e8%99%ab/" title="网络爬虫">网络爬虫</a>, <a href="https://www.iamivan.net/tag/xpath-%e6%8a%93%e5%8f%96/" title="xpath 抓取">xpath 抓取</a>, <a href="https://www.iamivan.net/tag/%e7%88%ac%e8%99%ab-%e6%95%b0%e6%8d%ae%e6%8c%96%e6%8e%98/" title="爬虫 数据挖掘">爬虫 数据挖掘</a>, <a href="https://www.iamivan.net/tag/java%e7%88%ac%e8%99%ab/" title="java爬虫">java爬虫</a>, <a href="https://www.iamivan.net/tag/nginxngxin%e9%85%8d%e7%bd%ae%e7%88%ac%e8%99%ab/" title="nginxngxin配置爬虫">nginxngxin配置爬虫</a>, <a href="https://www.iamivan.net/tag/webharvest/" title="webharvest">webharvest</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Webharvest网络爬虫应用总结的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkyxJb.html" rel="bookmark">Java版网络爬虫基础（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网络爬虫不仅仅可以爬取网站的网页,图片,甚至可以实现抢票功能,网上抢购,机票查询等.这几天看了点基础,记录下来.      网页的关系可以看做是一张很大的图,图的遍历可以分为深度优先和广度优先.网络爬虫采取的广度优先,概括的说来如下:      2个数组,一个记录已访问的网页(Al),一个记录未访问的网页(Un).假设网页A为爬取的起始点,分析A中的所有的超链接B,C,D,将B,C,D加入到Un,分析B中的所有的超链接E,F,将E,F加入到Un末尾,将B从Un除去并加入到AL.依次分析Un中的超			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnx0E2b.html" rel="bookmark">用Python语言实现网络爬虫</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是网络爬虫 网络爬虫是现代搜索引擎技术的一种非常核心.基础的技术,网络就好比是一张蜘蛛网,网络爬虫就像是一只蜘蛛,在网络间'爬来爬去',搜索有用的信息. 2.抓取代理服务器的网络爬虫 本文介绍用python实现抓取代理服务器的网络爬虫,主要步骤是: 1)利用urllib2获取提供代理服务的网页信息(本文以http://www.cnproxy.com/proxy1.html为例) 2)利用正则表达式获取代理ip信息 3)利用多线程技术验证代理ip的有效性 1).抓取代理ip列表 def g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQP9Orz.html" rel="bookmark">用Python编写网络爬虫（九）：百度贴吧的网络爬虫（v0&period;4）源码及解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				百度贴吧的爬虫制作和糗百的爬虫制作原理基本相同,都是通过查看源码扣出关键数据,然后将其存储到本地txt文件. 项目内容: 用Python写的百度贴吧的网络爬虫. 使用方法: 新建一个BugBaidu.py文件,然后将代码复制到里面后,双击运行. 程序功能: 将贴吧中楼主发布的内容打包txt存储到本地. 原理解释: 首先,先浏览一下某一条贴吧,点击只看楼主并点击第二页之后url发生了一点变化,变成了: http://tieba.baidu.com/p/2296712428?see_lz=1&amp;pn=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjnPEp.html" rel="bookmark">用Python编写网络爬虫（八）：糗事百科的网络爬虫（v0&period;2）源码及解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				项目内容: 用Python写的糗事百科的网络爬虫. 使用方法: 新建一个Bug.py文件,然后将代码复制到里面后,双击运行. 程序功能: 在命令提示行中浏览糗事百科. 原理解释: 首先,先浏览一下糗事百科的主页:http://www.qiushibaike.com/hot/page/1 可以看出来,链接中page/后面的数字就是对应的页码,记住这一点为以后的编写做准备. 然后,右击查看页面源码: 观察发现,每一个段子都用center标记,其中class必为content,title是发帖时间,我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj7a98M.html" rel="bookmark">用Python编写网络爬虫（六）：一个简单的百度贴吧的小爬虫</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				# -*- coding: utf-8 -*- #--------------------------------------- # 程序:百度贴吧爬虫 # 版本:0.1 # 作者:why # 日期:2013-05-14 # 语言:Python 2.7 # 操作:输入带分页的地址,去掉最后面的数字,设置一下起始页数和终点页数. # 功能:下载对应页码内的所有页面并存储为html文件. #--------------------------------------- import string,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wRPYp.html" rel="bookmark">用Python编写网络爬虫（五）：urllib2的使用细节与抓站技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面说到了urllib2的简单入门,下面整理了一部分urllib2的使用细节. 1.Proxy 的设置 urllib2 默认会使用环境变量 http_proxy 来设置 HTTP Proxy. 如果想在程序中明确控制 Proxy 而不受环境变量的影响,可以使用代理. 新建test14来实现一个简单的代理Demo: import urllib2 enable_proxy = True proxy_handler = urllib2.ProxyHandler({&quot;http&quot; : 'http			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOw9jkz.html" rel="bookmark">用Python编写网络爬虫（四）：Opener与Handler的介绍和实例应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在开始后面的内容之前,先来解释一下urllib2中的两个个方法:info and geturl urlopen返回的应答对象response(或者HTTPError实例)有两个很有用的方法info()和geturl() 1.geturl(): 这个返回获取的真实的URL,这个很有用,因为urlopen(或者opener对象使用的)或许会有重定向.获取的URL或许跟请求URL不同. 以人人中的一个超级链接为例, 我们建一个urllib2_test10.py来比较一下原始URL和重定向的链接: fr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3NjlWz.html" rel="bookmark">用Python编写网络爬虫（三）：异常的处理和HTTP状态码的分类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先来说一说HTTP的异常处理问题. 当urlopen不能够处理一个response时,产生urlError. 不过通常的Python APIs异常如ValueError,TypeError等也会同时产生. HTTPError是urlError的子类,通常在特定HTTP URLs中产生. 1.URLError 通常,URLError在没有网络连接(没有路由到特定服务器),或者服务器不存在的情况下产生. 这种情况下,异常同样会带有&quot;reason&quot;属性,它是一个tuple(可以理解为不可变的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jJeVb.html" rel="bookmark">用Python编写网络爬虫（二）：利用urllib2通过指定的URL抓取网页内容</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				所谓网页抓取,就是把URL地址中指定的网络资源从网络流中读取出来,保存到本地. 类似于使用程序模拟IE浏览器的功能,把URL作为HTTP请求的内容发送到服务器端, 然后读取服务器端的响应资源. 在Python中,我们使用urllib2这个组件来抓取网页. urllib2是Python的一个获取URLs(Uniform Resource Locators)的组件. 它以urlopen函数的形式提供了一个非常简单的接口. 最简单的urllib2的应用代码只需要四行. 我们新建一个文件urllib2_			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlBAOz.html" rel="bookmark" class="title">AJAX原理介绍</a>
					<div>
						本文主要内容: 1 AJAX概念2 AJAX原理目前,编写应用程序时有两种基本的选择:一个是桌面应用程序和另一个Web应用程序.桌面应用程序一般很快,具有漂亮的用户界面(通常和操作系统有关)和非凡的动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj1Q6z.html" rel="bookmark" class="title">&amp;amp&semi;&num;106avascript对象与数组参考大全&lpar;4&rpar;</a>
					<div>
						参考|对象|数组 links array 文档中link对象的一个数组,按照它们出现在文档中的顺序排列(该属性本身也是一个对象) location 当前显示文档的URL.用户不能改变document. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGKl3z.html" rel="bookmark" class="title">个人站长：你关心过你交的税了吗</a>
					<div>
						国内的发布者都会面临一个问题,那就是广告主会代扣部分税,扣税的比例是按照个人所得税的比率.尽管很多发布者并不愿意这样,但是由于是强制的,也没有别的选择. 可是,发布者你关心过你被扣的税真的上缴了吗?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMljPNz.html" rel="bookmark" class="title">如何以Solaris架设FTP虚拟系统&lpar;三&rpar;</a>
					<div>
						(3) &quot;虚拟系统&quot;中的&quot;/usr&quot;目录 创造&quot;虚拟系统&quot;中的&quot;/var&quot;目录,以放置系统程式及程式库. mkdir / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx3KPb.html" rel="bookmark" class="title">JSP实现在浏览器关闭cookies情况下的会话管理</a>
					<div>
						cookie|cookies|js|浏览器   通常,会话管理是通过服务器将 Session ID 作为一个 cookie 存储在用户的 Web 浏览器中来唯一标识每个用户会话.如果浏览器不支持 co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AZADp.html" rel="bookmark" class="title">浅谈从边界防御到以数据为中心的安全</a>
					<div>
						传统上,企业的信息安全都着重于边界防御--在威胁进入企业网络之前将其扼杀.这样的防护虽然很重要,但现在有云运算.移动设备,还有APT-高级持续性渗透攻击.企业所需的信息安全要能够保护他们的数据,无论数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPY8BM.html" rel="bookmark" class="title">Windows Vista SP1主要升级内容大解密</a>
					<div>
						Windows vista Service Pack 1(SP1,代码名&quot;Fiji&quot;)将在2007年底随同Windows Longhorn Server一起发布,届时也会有一个新版 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKl1mM.html" rel="bookmark" class="title">WPS 2012媲美抠图软件 设置图片透明色</a>
					<div>
						平时当我们为文档.表格或幻灯片添加图片时,往往不需要图片带有背景色.其实不用Photoshop,单用WPS Office 2012也能为图片设置透明色,不但简单易操作,而且效果可以媲美抠图软件!接下来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq82DZb.html" rel="bookmark" class="title">Word2013怎么隐藏回车符号</a>
					<div>
						  上图是我们用Word2013打开一篇文档时的状态,它里面现在是显示回车符的. Word2013怎么隐藏回车符 1.单击&quot;文件&quot;按钮,选择&quot;选项&quot;. 2.打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY0lAM.html" rel="bookmark" class="title">Win8&period;1禁用驱动程序强制签名教程</a>
					<div>
						  现在的电脑越来越便宜了,并且配置也都非常高,目前的PC机都是4G或者8G的内存,可惜32位的系统是无法支持4G以上内存的,大多数的朋友都换上了又炫又新鲜的64位win8.1系统,现在网上一大把的下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArNk3p.html" rel="bookmark" class="title">Windows api关于注册表的操作经验和总结&lowbar;注册表</a>
					<div>
						读取注册表常用的函数 RegOpenKeyEx 用于打开一个键 RegSetValueEx 用于设置一个键的键值 RegQueryValueEx 用于读取一个键的值 RegCloseKey 用于关闭R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkwWWb.html" rel="bookmark" class="title">adb操作手机打电话、发短信</a>
					<div>
						当我们使用adb命令操作手机的时候经常会报错 这个错误一般是adb的端口(5037)被占用,造成adb server无法启动,解决问题的思路就是查看是哪个程序占用了adb调试端口,然后结束掉它就行.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrrRrM.html" rel="bookmark" class="title">spark处理1153194条记录的mysql表，怎么就内存泄露？</a>
					<div>
						问题描述 frompysparkimportSparkContext,SparkConffrompyspark.sqlimportSQLContextsc=SparkContext(&quot;loc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqlBKb.html" rel="bookmark" class="title">WiseCloud成为全球首批Kubernetes官方认证平台产品-CNCF官方发布</a>
					<div>
						[新闻快讯]11月13日美国时间,CNCF在旧金山正式对外发布Kubernetes软件一致性项目,并对外公布了包括睿云智合WiseCloud在内的全球32家率先通过认证测试的平台产品及Kubernet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmDl0z.html" rel="bookmark" class="title">阿里云服务器收不到websocket握手消息</a>
					<div>
						问题描述 阿里云服务器收不到websocket握手消息 代码如下,这段代码在我的vm虚拟机里可以正常运行,服务端能收到握手消息.但把代码放到阿里云服务器上时就,能收到accept请求,就是没触发rea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3V4Jz.html" rel="bookmark" class="title">创业公司团队都需要些什么角色</a>
					<div>
						首先,你要明白一个创业团队的核心就是团队leader.一般来讲投资界对于初创团队最看重的就是Leader人怎么样,而不是项目怎么样,idea怎么样.那么一个优秀的leader应该是什么样子的呢?无论是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRmaXb.html" rel="bookmark" class="title">十问docker &mdash;&mdash; 看docker的颜值与气质</a>
					<div>
						云计算的热门带火了一批技术名词,&quot;当红炸子鸡&quot;docker就是其中的一个.有着洋名的docker到底是什么,让我们用十个问题让你看懂. 一问:docker是个什么东东? docke ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeJxBb.html" rel="bookmark" class="title">python基础学习笔记（十一）</a>
					<div>
						迭代器   本节进行迭代器的讨论.只讨论一个特殊方法---- __iter__  ,这个方法是迭代器规则的基础.   迭代器规则 迭代的意思是重复做一些事很多次---就像在循环中做的那样.__iter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4yR3z.html" rel="bookmark" class="title">批处理 FOR参数&sol;F之tokens详解&lowbar;DOS&sol;BAT</a>
					<div>
						(四)tokens=x,y,m-n 提取列 格式: FOR /F &quot;tokens=x,y,m-n&quot; %%I IN (Command1) DO Command2 用法: 一句话总结: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWl3Wnp.html" rel="bookmark" class="title">你是否也在错误地使用BYOD设备？</a>
					<div>
						在使用个人移动设备连接企业网络的用户中,近40%的用户没有设置锁屏机制.Bitdefender最近对部分美国互联网用户进行了调查,以研究他们对数据安全的态度和行为. 在信息安全领域,我们并没有在消费者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nnGmz.html" rel="bookmark" class="title">Less mobile&comma; more everything－重新思考Mobile</a>
					<div>
						在google developer上看到一篇文章&lt;Less mobile, more everything&gt;. 这篇文章写的有点偏激,因此会比较有争议,但有些观点挺有价值,翻译出来跟大家分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nOl8z.html" rel="bookmark" class="title">大陆IC设计受经济危机影响有限</a>
					<div>
						近日台湾半导体行业协会与大陆半导体行业协会分别发布2009年两地半导体运营状况,抛开制造及封测业不谈,单论IC设计大陆产业其实所受经济危机影响有限,台湾则延续了2008年以来的颓势,不过和全球集成电路 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNndqmM.html" rel="bookmark" class="title">峰任策划告诉你如何做好推广</a>
					<div>
						很多人的疑问,也许我们根本没有目标了,网络推广应该怎么做呢?尤其是新公司,如何下手做,今天我们就跟着合肥网络推广赢帮科技来看看吧. 首先我们要知道公司的经营范围,哪些为主要产品,哪些为辅助产品,我相信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkyWJM.html" rel="bookmark" class="title">用C&num;生成不重复的随机数的代码&lowbar;C&num;教程</a>
					<div>
						对于随机数,大家都知道,计算机不 可能产生完全随机的数字,所谓的随机数发生器都是通过一定的算法对事先选定的随机种子做复杂的运算,用产生的结果来近似的模拟完全随机数,这种随机数被称 作伪随机数.伪随机数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEW2Ez.html" rel="bookmark" class="title">PHP4实际应用经验篇&lpar;3&rpar;&lowbar;php基础</a>
					<div>
						作者:孙运动 在PHP中,最简单的条件语句的形式是 &quot;if&quot; 语句,一般如下所示: ------------------------------------------------ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7Lalb.html" rel="bookmark" class="title">C语言线性表的顺序表示与实现实例详解&lowbar;C 语言</a>
					<div>
						1.概述 通常来说顺序表是在计算机的内存中以数组的形式保存的线性表,是用一组地址连续的存储单元依次存储数据元素的线性数据结构.线性表采用顺序存储的方式存储就称之为顺序表.顺序表是将表中的结点依次存放在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW8GJz.html" rel="bookmark" class="title">网站的文章质量应该要受到重视</a>
					<div>
						相信各位作为站长的,文章肯定写得不少.但很多时候,写网站的文章,除了要有扎实的写作功底之外,还要对某一个行业或 者你手上的网站中所要涉及的范围.作为一个站长,其实能够对手上网站中所了解到的内容是有限的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7A6yp.html" rel="bookmark" class="title">网店办照试行 无本经营亮剑何方</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 自8月1日起,北京工商局在国内首开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk77G7p.html" rel="bookmark" class="title">《光荣使命OL》是中国首款军事网《光荣使命》的网络版</a>
					<div>
						摘要: 新浪科技讯 7月26日下午消息, 巨人网络 负责产品出口业务的海外战略中心在Chinajoy闭展后,低调但大规模约见海外合作伙伴,接洽&lt;光荣使命&gt;的海外出口事宜.这意味着,这款由光 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2geOz.html" rel="bookmark" class="title">Hadoop2源码分析－RPC探索实战</a>
					<div>
						1.概述 在&lt;Hadoop2源码分析-RPC机制初识&gt;博客中,我们对RPC机制有了初步的认识和了解,下面我们对Hadoop V2的RPC机制做进一步探索,在研究Hadoop V2的RPC机 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
